#
# spec file for package irssi-extra
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           irssi-extra
BuildRequires:  irssi
Version:        2009.6.17
Release:        23.2
Summary:        Scripts and Themes for the irssi IRC Client
License:        BSD-3-Clause and GPL-2.0+ and SUSE-Public-Domain
Group:          Productivity/Networking/IRC
Url:            http://www.irssi.org
Source:         irssi-scripts.tar.bz2
Source1:        irssi-themes.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       figlet
Requires:       irssi
Requires:       perl-Compress-Zlib
Requires:       perl-Crypt-Blowfish
Requires:       perl-Crypt-CBC
Requires:       perl-Crypt-DES
Requires:       perl-DBI
Requires:       perl-Text-Iconv
Requires:       perl-TimeDate
Requires:       perl-libwww-perl
BuildArch:      noarch

%description
Perl scripts and theme files for the irssi IRC client. You can
customize the look and feel and add extra functionality with this
package.



Authors:
--------
    Timo Sirainen <cras@irssi.org>
    Christian Weber <mordeth@mac.com>
    Marcin Rozycki <derwan@irssi.pl>
    Bastian Blank <waldi@debian.org>
    Bjoern Krombholz <bjkro@gmx.de>
    Piotr Krukowiecki <piotr@pingu.ii.uj.edu.pl>
    Clemens Heidinger <spoooky@quizparanoia.org>
    Oddbjrn Kvalsund <oddbjorn.kvalsund@hiof.no>
    Erkki Seppl <flux@inside.org>
    Stefan Tomanek <stefan@pico.ruhr.de>
    Gerfried Fuchs <alfie@channel.debian.de>
    Kimmo Lehto <kimmo@a-men.org>
    Simon Huggins <huggie-irssi@earth.li>
    Maciek Freudenheim <fahren@bochnia.pl>
    Teemu Hjelt <temex@iki.fi>
    Thomas Graf <irssi@reeler.org>

%prep
%setup -n irssi-scripts
%setup -b 1 -T -n irssi-themes

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p  $RPM_BUILD_ROOT%{_datadir}/irssi/{themes,scripts}
cd ..
install -m 644 irssi-themes/* $RPM_BUILD_ROOT%{_datadir}/irssi/themes/
install -m 644 irssi-scripts/* $RPM_BUILD_ROOT%{_datadir}/irssi/scripts/

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%files
%defattr(-, root, root)
%{_datadir}/irssi/themes/*
%{_datadir}/irssi/scripts/*

%changelog
* Fri Mar  1 2013 coolo@suse.com
- update license to new format
* Mon Aug 27 2007 hvogel@suse.de
- Fix included themes, the download URL changed.
* Fri Jul 27 2007 ro@suse.de
- remove requires perl-Xmms
* Tue Jul 24 2007 hvogel@suse.de
- update scripts/themes
- drop recode_ion (obsoleted by CHARCONV)
- drop l33tmusic (xmms dropped)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Feb 10 2005 hvogel@suse.de
- updated scripts and themes
* Mon Sep  6 2004 hvogel@suse.de
- updated scripts and themes
* Thu Jan 29 2004 hvogel@suse.de
- updated scripts and themes
* Wed Dec  3 2003 hvogel@suse.de
- add washnicks.pl
* Wed Nov 26 2003 hvogel@suse.de
- require perl-Text-Iconv
* Mon Nov 10 2003 mmj@suse.de
- Don't build as root
* Mon Nov 10 2003 hvogel@suse.de
- swapped sysinfo_dj for sysinfo277-irssi
- readded chanact
- got rid of the .url files
* Thu Nov  6 2003 hvogel@suse.de
- added recode_ion.pl for better UTF-8 support (bug #32389)
* Tue Sep  2 2003 mmj@suse.de
- Added chanact.pl script
* Thu Aug 28 2003 hvogel@suse.de
- require perl-libwww-perl (bug #29558)
* Mon Jul 28 2003 hvogel@suse.de
- added title script
* Mon Jul 21 2003 hvogel@suse.de
- added BuildArch
* Mon Jul 21 2003 hvogel@suse.de
- updated scripts and themes
* Thu Jun 12 2003 hvogel@suse.de
- put irssi to nfb because it owns the /usr/share/irssi directories
* Mon Jun  2 2003 hvogel@suse.de
- updated scripts and themes
* Sat Feb 22 2003 hvogel@suse.de
- updated scripts
* Wed Feb  5 2003 mmj@suse.de
- Add Requires: perl-Xmms
- bzip2 sources
* Tue Feb  4 2003 hvogel@suse.de
- added chanact.pl
* Thu Jan 23 2003 hvogel@suse.de
- Initial Package
